#!/bin/bash

PWD=`pwd`

if [ ! -f $HOME/android-sdk-linux/tools/android ]; then
    echo -e "==> You should first run setup-tool.sh.\n"
    exit -1
fi

tools_path="$HOME/android-sdk-linux/tools:$HOME/android-sdk-linux/platform-tools"
original_PATH=${PATH}
export PATH=${PATH}:${tools_path}

aut_directory=$1

cd resign
tar xvf lib.tar
cd ..

cd adr-server/libs
tar xvf lib.tar
cd ../../
# AUT Building
echo -e "==> Build AUT"
cd $aut_directory

if [ -f build.xml ]; then
    rm build.xml
fi

if [ -f libs/lib.tar ]; then
    cd libs
    tar xvf lib.tar
    cd ..
fi


set +o posix

android update project --target android-8 -p .
cp -rf src src.orig
ant clean
ant instrument
../resign.sh ./bin/*-instrumented.apk ./bin/aut-resigned.apk
mkdir -p ./bin/no_fault
cp ./bin/aut-resigned.apk ./bin/no_fault
cp coverage.em ./bin/no_fault

while read line
do
    filename=${line##*/}
    pathname=${line%/*}
    original_path=`find src -name $filename`
    echo "==> Fault seeded source file: $line"
    cp $line $original_path
    ant instrument
    ../resign.sh ./bin/*-instrumented.apk ./bin/aut-resigned.apk
    mkdir -p ./bin/$pathname
    cp ./bin/aut-resigned.apk ./bin/$pathname
    cp coverage.em ./bin/$pathname
done < <( find result/net.mandaria.tippytipper.widgets.NumberPickerButton/class_mutants/IOD_3 -name *.java )

rm -rf src
mv src.orig src
rm -rf bin/*.apk
