import sys
import xml.etree.ElementTree as ET

if len(sys.argv) < 6:
  sys.exit("usage: python {0} <xml> <title> <attr> <value-from> <value-to>".format(__file__))

prefix = "android"
uri = "http://schemas.android.com/apk/res/android"
try:
  ET.register_namespace(prefix, uri)
except AttributeError:
  ET._namespace_map[uri] = prefix

doc = ET.parse(sys.argv[1])

nodes = doc.findall("PreferenceCategory")
for node in nodes: # for all categories
  for key in node.keys():
    if sys.argv[2] in node.attrib[key]: # if that category has the given title
      for child in node.getchildren(): # for all children
        for attr in child.keys():
          if sys.argv[3] in attr: # if that child node has the given attr.
            if child.attrib[attr] == sys.argv[4]: # and equal to prev. value
              child.attrib[attr] = sys.argv[5] # then, exchange it

doc.write(sys.argv[1])
