#!/bin/bash

# $1 - Directory for the to-be-run project
aut_directory=$1

# Check that setup-tools.sh was already run (guitar folder exists)
if [ ! -d guitar ]; then
    echo -e "==> You should first run setup-tool.sh.\n"
    exit -1
fi

# Check to make sure the project was built
if [ ! -f $aut_directory/bin/no_fault/aut-resigned.apk ]; then
    echo -e "==> You should first run build.sh.\n"
    exit -1
fi

# Clean up the project to be re-executed
rm -rf guitar/dist/guitar/adr-aut/$aut_directory
cp -rf $aut_directory guitar/dist/guitar/adr-aut/
cp -rf adr-server guitar/dist/guitar/adr-aut/
cp -rf resign guitar/dist/guitar/adr-aut/
cp -rf resign.sh guitar/dist/guitar/adr-aut/
cd guitar/dist/guitar
chmod +x `find . -name '*.sh'`

if [ "$aut_directory" == "HelloAUT" ]; then
    ./adr-workflow.sh HelloAUT com.aut HelloAUTActivity $2
fi

if [ "$aut_directory" == "TippyTipper" ]; then
    ./adr-workflow.sh TippyTipper net.mandaria.tippytipper activities.TippyTipper $2
fi

if [ "$aut_directory" == "ContactManager" ]; then
    ./adr-workflow.sh ContactManager com.example.android.contactmanager ContactManager $2
fi

if [ "$aut_directory" == "ToDoManager" ]; then
#    ./adr-workflow.sh ToDoManager edu.towson.cosc451.nimbian ToDoManagerActivity result $2
    ./adr-workflow.sh ToDoManager edu.towson.cosc451.nimbian ToDoManagerActivity $2
fi

if [ "$aut_directory" == "Spinner" ]; then
	./adr-workflow.sh Spinner com.android.example.spinner SpinnerActivity $2
fi
